CREATE VIEW "SBODEMODE"."SBO_PROFIT_CTR_ATTR" ( "PROFIT_CTR", "SORT_COD", "OBJ_CURR" ) AS SELECT TO_CHAR(P."PrcCode") AS "PROFIT_CTR", 
				left(P."GrpCode",20) AS "SORT_COD",
				CASE (SELECT Top 1 C."MainCurncy" from "SBODEMODE"."OADM" as C) 	
          			WHEN '€' THEN 'EUR'	
					WHEN 'Eur' THEN 'EUR'
          			ELSE  (SELECT Top 1 C."MainCurncy" from "SBODEMODE"."OADM" as C) 	
      			END		
				AS "OBJ_CURR"
				FROM "SBODEMODE"."OPRC" AS P